.car-card-container {
  width: 100%;
  max-width: 493px;
  container-type: inline-size;
}

.car-card {
  width: 100%;
  border-radius: var(--border-radius-2);
  overflow: hidden;
  position: relative;
}

.car-card .carousel-inner {
  max-height: 350px;
}

    .car-card .carousel-inner img {
        width: 100%;
        aspect-ratio: 493/350;
        transition: all 0.3s ease-in-out;
        object-fit: cover;
    }

.car-card:hover .carousel-inner img {
  transform: scale(1.1);
}


.car-card .carousel-indicators {
  background-color: transparent;
  margin: 0 var(--space-24);
  border-radius: 0;

  display: flex;
  gap: var(--space-16);
}

.car-card .carousel-indicators button {
  width: 100%;

  height: 2px;

  z-index: var(--z-index-10);
  background-color: transparent !important;
  margin-left: 0;
  margin-right: 0;
  border-bottom: 16px solid transparent !important;
}

.car-card .carousel-indicators button:before {
  content: " ";
  display: block;
  width: 100%;
  height: 2px;

  position: relative;
  background-color: var(--extra-white);
  border-radius: 2px !important;
}

.car-card .carousel-control-prev,
.car-card .carousel-control-next {
  width: 32px;
  height: 32px;
  border: 1px solid var(--extra-white);
  border-radius: 50%;

  top: calc(50% - 15px);
  z-index: var(--z-index-10);

  display: none;
}

.car-card .carousel-control-prev {
  left: 20px;
  transform: rotate(180deg);
}

.car-card .carousel-control-next {
  right: 20px;
}

.car-card .carousel-nav-icon {
  width: 30px;
  height: 30px;
  margin-left: 2px;
  fill: var(--extra-white);
}

.car-card:hover .carousel-control-next,
.car-card:hover .carousel-control-prev {
  z-index: var(--z-index-10);
  display: block;
}

.car-card .content {
  backdrop-filter: blur(12.5px);

  background: var(--car-card-content-gradient);
  border-image-source: var(--car-card-content-border-gradient);
  transition: all 0.3s ease-in-out;
}

.car-card:hover .content {
  border: 1px solid var(--accent-red);
  border-top-width: 0;
}

.car-card .content .top {
  padding: 0 var(--space-28);
}

    .car-card .headline {
        color: var(--dark-blue);
        padding-top: var(--space-30);
        padding-bottom: var(--space-12);
        height: 92px;
    }

.car-card .subtitle {
  display: flex;
  align-items: center;
}

    .car-card .body-text {
        /*font-size: var(--font-18);*/
        font-size: var(--font-16);
        line-height: 145%;
        color: var(--dark-blue-08);
        font-weight: 200;
    }

.car-card .id {
  font-weight: 600;
}

.car-card .offer {
  font-size: var(--font-12);
  font-weight: 600;
  color: var(--accent-red) !important;
  text-transform: uppercase;

  border: 1px solid var(--accent-red);

  padding: 3.5px 7px;
  margin-left: 16px;
}

.car-card .tags .item {
  display: flex;
  align-items: center;
  gap: var(--space-10);
}

.car-card .tags .hexagon {
  width: 24px;
  height: 24px;
  stroke: var(--dark-blue-08);
}

.car-card .footer {
  width: 100%;
  height: 99px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 var(--space-28);
  border-top: var(--border-1) solid var(--car-card-footer-top-border);
}

.car-card .price-container .body-text {
  font-size: var(--font-18);
}

.car-card .actual-price {
  display: flex;
  align-items: flex-end;
  gap: var(--space-4);
}

.car-card .price {
  color: var(--extra-black);
  font-size: var(--font-24);
  line-height: 125%;
  font-weight: 500;
}

.car-card .price.red {
  color: var(--accent-red) !important;
  font-weight: 500 !important;
}

.car-card .old-price {
  text-decoration: line-through;
}

.car-card .tags {
  display: grid;
  row-gap: var(--space-16);
  grid-template-columns: auto auto auto;
  grid-template-rows: 1fr 1fr;
  justify-content: space-between;

  margin: var(--space-36) 0 var(--space-32) 0;
}



.car-card .footer .button.stroke {
  width: 38px;
  height: 38px;

  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1.5px solid var(--dark-blue);

  padding: 0;
}

.car-card .footer .button .arrow {
  width: 30px;
  height: 30px;
  stroke-width: 0;

  display: block;
  stroke: var(--dark-blue);
  fill: var(--dark-blue);

  margin-left: var(--space-2);
}



.car-card.dark .content {
  background: var(--background-gradient-black);
}

.car-card.dark .headline {
  color: var(--extra-white-08);
  font-weight: 200;
}
.car-card.dark .price {
  color: var(--extra-white-08);
  font-weight: 400;
}

.car-card.dark .body-text {
  color: var(--extra-white-08);
  font-weight: 100;
}

.car-card.dark .id {
  font-weight: 500;
}

.car-card.dark .hexagon {
  stroke: var(--extra-white-08);
}

.car-card.dark .footer {
  border-color: var(--car-card-dark-footer-border);
}

.car-card.dark .footer .button.stroke {
  border-color: var(--white);
}

.car-card.dark .footer .button .arrow {
  stroke: var(--white);
  fill: var(--white);
}

@container (max-inline-size: 434px) {
  .car-card .offer {
    font-size: var(--space-10);
    margin-left: 14px;
  }
}


@container (max-inline-size: 420px) {
  
  .car-card .content .top {
    padding: 0 var(--font-20);
  }

  .car-card .body-text {
    font-size: var(--font-14);
  }
  .car-card .offer {
    font-size: var(--font-12);
    padding: 4.5px 5px;
    font-weight: 600;
  }

  .car-card .tags {
    row-gap: var(--space-16);
    margin: var(--space-36) 0;
  }

  .car-card .tags .item {
    height: 20px;
    column-gap: 0;
  }

  .car-card .tags .hexagon {
    transform: scale(0.75);
    margin-right: -2px;
  }

  .car-card .footer {
    height: 89px;
  }
  
  .car-card .footer .body-text{
    font-size: var(--space-16);
  }
  
  .car-card .footer .button.stroke {
    transform: scale(0.63);
    position: relative;
    right: -8px;
  } 

  .car-card .price {
    font-size: var(--font-18);
  }
}

@media (max-width: 790px) {
  .car-card .subtitle {
    position: relative;
  }

  .car-card .tags {
    row-gap: var(--space-16);
    margin: var(--space-36) 0 var(--space-36) 0;;
  }

 
  .car-card .offer {
    width: max-content;

    position: absolute;
    bottom:  -36px;
    font-size: var(--font-12);
    margin: 0;
    margin-top: var(--space-8);
  }


  

}




